<div class="btn-group" uib-dropdown>

  <!-- button style dropdown -->
  <button ng-if="isButton" type="button" class="btn {{btnClass}} dropdown-toggle" uib-dropdown-toggle>
    <span ng-bind="ngModel.name || default"></span>
    <span class="caret"></span>
  </button>


  <!-- no button, plz -->
  <a ng-if="!isButton" href class="dropdown-toggle" uib-dropdown-toggle  ng-bind="ngModel.name || default"></a>
  <span ng-if="!isButton" class="caret"></span>

  <!-- dropdown options -->
  <ul class="dropdown-menu" uib-dropdown-menu role="menu">
    <li ng-repeat="option in options">
      <a href
      ng-bind="option.name"
      ng-click="select(option)"></a>
    </li>
  </ul>

</div>
